<div class="container">
  <!-- row 1-->
  <div class="row justify-content-md-center mt-3">
    <div class="col-md">
      <!--
      <p class="display-4 text-secondary">Here are some text</p>
      -->
      <div class="card">
        <div class="card-body">
        <div id="viz-container"></div>
          <script type="text/javascript">
            function initViz() {
              var containerDiv = document.getElementById("viz-container"),
              url = "https://public.tableau.com/views/FlightDelayAnalysis_15548271887490/AnalysisonFlightDelaysAcrossUSA?:embed=y&:display_count=yes",
              options = {
                hideTabs: true,
                //width: containerDiv.offsetWidth,
                //height: containerDiv.offsetWidth,
                onFirstInteractive: function () {
                  workbook = viz.getWorkbook();
                  activeSheet = workbook.getActiveSheet();
                  console.log("Run this code when the viz has finished loading.");
                }
              };
              var viz = new tableau.Viz(containerDiv, url, options);
            }
            initViz();
          </script>

          <!--
          <div class='tableauPlaceholder' id='viz1554828408614' style='position: relative'>
            <noscript>
              <a href='#'>
                <img alt=' ' src='https:&#47;&#47;public.tableau.com&#47;static&#47;images&#47;C8&#47;C8CQKTB3T&#47;1_rss.png' style='border: none' />
              </a>
            </noscript>
            <object class='tableauViz'  style='display:none;'>
              <param name='host_url' value='https%3A%2F%2Fpublic.tableau.com%2F' />
              <param name='embed_code_version' value='3' />
              <param name='path' value='shared&#47;C8CQKTB3T' />
              <param name='toolbar' value='yes' />
              <param name='static_image' value='https:&#47;&#47;public.tableau.com&#47;static&#47;images&#47;C8&#47;C8CQKTB3T&#47;1.png' />
              <param name='animate_transition' value='yes' /><param name='display_static_image' value='yes' />
              <param name='display_spinner' value='yes' />
              <param name='display_overlay' value='yes' />
              <param name='display_count' value='yes' />
              <param name='filter' value='publish=yes' />
            </object>
          </div>
          <script type='text/javascript'>
            var divElement = document.getElementById('viz1554828408614');
            var vizElement = divElement.getElementsByTagName('object')[0];
            vizElement.style.width='100%';
            vizElement.style.height=(divElement.offsetWidth*0.75)+'px';
            var scriptElement = document.createElement('script');
            scriptElement.src = 'https://public.tableau.com/javascripts/api/viz_v1.js';
            vizElement.parentNode.insertBefore(scriptElement, vizElement);
          </script>
          -->

        </div>
        </div>
      </div>
    </div>
    <!--
    <div class="col-md">
      <div class="card card-body">row 1 - col 1</div>
    </div>
    -->
  </div>

  <!-- row 2 -->
  <!--
  <div class="row justify-content-md-center mt-3">
    <div class="col-md-4">
      <h4 class="text-secondary">Here are some text</h4>
      <div class="card card-body">row 2 - col 1</div>
    </div>
    <div class="col-md-4">
      <h4 class="text-secondary">Here are some text</h4>
      <div class="card card-body">row 2 - col 2</div>
    </div>
  </div>
  -->
</div>
